Embedded form (relation) disappears when changing configuration of a layer

2018-03-01 03:16 PM - Andreas Neumann

Status: Closed

Priority: High

Assignee: David Signer

Category: Forms

Affected QGIS version:master Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 26181

Description

Steps to reproduce:

Data source is Postgis

1. in Postgis create a new role with name = "quartiergestaltungsplan" and password = "quartiergestaltungsplan" 

2. Make sure the Postgis DB you import has the extensions "postgis" and "uuid-ossp" enabled

3. Load attached database dump

4. Open attached qgs file and check if you need to change datasource (e.g. hostname, port, dbname, etc.)

5. Load the project

6. Open the attribute table of layer "quartiergestaltungsplan" 

7. Switch to form mode

8. Change to tab "quartiergestaltung_pdf" 

9. Switch to feature with t_id 10

10. Make sure you can see the embedded form (as in screenshot 1)

11. Close attribute table

12. Open Layer Properties of layer "quartiergestaltungsplan" 

13. Switch to "Attributes Form" tab and select field "t_id" 

14. Change widget type of this field from "Hidden" to "Text Edit" 

15. Close dialogue with "OK" 

16. Open the attribute table of layer "quartiergestaltungsplan" 

17. Switch to form mode

18. Change to tab "quartiergestaltung_pdf"

--> Problem: the embedded form in tab "quartiergestaltung_pdf" is gone

There is no way to bring back the embedded form of this relation.

History

#1 - 2018-03-01 03:18 PM - Andreas Neumann

- File qgp.backup added

- File test_1.qgs added

- File screenshot1.png added

- File screenshot2_embedded_form_gone.png added

#2 - 2018-03-01 03:20 PM - Andreas Neumann

- Description updated

#3 - 2018-03-28 07:40 AM - Andreas Neumann

2024-04-25 1/2



- Subject changed from Embedded form (relation) disappears when changing widget type to Embedded form (relation) disappears when changing 

configuration of a layer

Update: it seems that ANY change in configuration (e.g. changing the color of the symbology of a layer) can trigger this issue - not only the steps described

above

So I wonder if there is an issue with saving the configuration of a layer that destroys embedded forms?

#4 - 2018-03-28 07:45 AM - David Signer

- Assignee set to David Signer

#5 - 2018-03-28 10:27 AM - David Signer

Andreas Neumann wrote:

Update: it seems that ANY change in configuration (e.g. changing the color of the symbology of a layer) can trigger this issue - not only the steps

described above

So I wonder if there is an issue with saving the configuration of a layer that destroys embedded forms?

Seems so. Even when you do not configure anything. Just open layerproperties and press "OK" it's brocken after.

#6 - 2018-03-28 10:30 AM - David Signer

And it's the same in 2.18 as well.

#7 - 2018-04-09 09:42 AM - David Signer

Merged https://github.com/qgis/QGIS/pull/6716

#8 - 2018-04-18 04:51 PM - Andreas Neumann

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Seems to work fine now. Closing the issue.
